package pwc.taxtech.atms.common;

public enum OperateLogType {

    /***/
    UnKnown(-1),
    /***/
    OperationLogOrganization(0),
    /***/
    OperationLogUser(1),
    /***/
    OperationLogProject(2),
    /***/
    OperationLogBasicData(3),
    /***/
    OperationLogReport(4),
    /***/
    OperationLogEnterPrise(5),
    /***/
    OperationLogSubject(6),
    /***/
    OperationLogRole(7),
    /***/
    OperationLogModelConfiguration(8),
    /***/
    OperationLogRuleEngine(9),
    /***/
    OperationLogKeyvalue(10),
    /***/
    OperationLogWorkflow(11),
    /***/
    OperationLogStock(12),
    /***/
    ;
    /***/
    private Integer value;

    OperateLogType(Integer value) {
        this.value = value;
    }

    public Integer value() {
        return value;
    }

    public static String getName(Integer value) {
        for (OperateLogType type : OperateLogType.values()) {
            if (type.value().intValue() == value.intValue()) {
                return type.name();
            }
        }
        return null;
    }

}
