package pwc.taxtech.atms.constant;

public class VatErpImportValidation {
    public static final String CompanyBalanceTbName = "CompanyBalance";
    public static final String CustBalanceTb = "CustBalance";
    public static final String BalanceTb = "Balance";
    public static final String AccountRemapTb = "AccountRemap";
    public static final String VoucherTbName = "Voucher";

    public static final String Const_ComBalanceAcctValidate = "试算平衡表科目存在于企业科目列表中";
    public static final String Const_ComBalanceAcctUnValidate = "试算平衡表中出现的科目不在科目表中";
    public static final String Const_ComBalanceAcctUnValidate_Tips = "请在企业科目中补全该科目信息。";
    public static final String Const_VoucherAcctValidate = "凭证表中科目存在于企业科目列表中";
    public static final String Const_VoucherAcctUnValidate = "凭证表中出现的科目不在科目表中";
    public static final String Const_VoucherAcctUnValidate_Tips = "请在企业科目中补全该科目信息。";
    public static final String Const_VSingleDebitCreditValidate = "凭证表中凭证借贷平衡";
    public static final String Const_VSingleDebitCreditUnValidate = "凭证表中凭证借贷不平衡";
    public static final String Const_VSingleDebitCreditUnValidate_Tips = "凭证借贷不平衡会导致系统计算所得的试算平衡表也借贷不平衡。";
    public static final String Const_VEmptyCheckValidateItemID = "凭证表中凭证分录号完整";
    public static final String Const_VEmptyCheckUnValidateItemID = "凭证表中凭证分录号为空";
    public static final String Const_VEmptyCheckUnValidateItemID_Tips = "凭证分录号为空 ，系统无法正确判断凭证是否重复。";

    public static final String Const_VEmptyCheckValidateGroup = "凭证表中凭证类型完整";
    public static final String Const_VEmptyCheckUnValidateGroup = "凭证表中凭证类型为空";
    public static final String Const_VEmptyCheckUnValidateGroup_Tips = "凭证类型为空，系统无法正确判断此分录属于哪张凭证，所有类型为空的会作为同一张凭证对待。";

    public static final String Const_VEmptyCheckValidateAcctCode = "凭证表中科目代码完整";
    public static final String Const_VEmptyCheckUnValidateAcctCode = "凭证表中科目代码为空";
    public static final String Const_VEmptyCheckUnValidateAcctCode_Tips = "凭证科目代码为空，系统会在后续的所有计算中忽略此分录。";

    public static final String Const_VEmptyCheckValidateSummary = "凭证表中凭证摘要完整";
    public static final String Const_VEmptyCheckUnValidateSummary = "凭证表中凭证摘要为空";
    public static final String Const_VEmptyCheckUnValidateSummary_Tips = "凭证摘要为空，不符合财务准则，查看明细时，不易识别分录目的。";

    public static final String Const_AcctBegBalAcctLevelValidate = "试算平衡表中期初余额上下级平衡";
    public static final String Const_AcctBegBalAcctLevelUnValidate = "试算平衡表中期初余额上下级不平衡";
    public static final String Const_AcctBegBalAcctLevelUnValidate_Tips = "期初余额不正确会导致后续报表或分析的不准确。";

    public static final String Const_BegBalValidate = "试算平衡表中期初余额借贷平衡";
    public static final String Const_BegBalUnValidate = "试算平衡表中期初余额借贷不平衡";
    public static final String Const_BegBalUnValidate_Tips = "期初余额不正确会导致后续报表或分析的不准确。";

    public static final String Const_CompCustEndBalValidate = "系统计算所得的试算平衡表期末余额与导入的一致";
    public static final String Const_CompCustEndBalUnValidate = "系统计算所得的试算平衡表期末余额与导入的不一致";

    public static final String Const_CompCustAmountValidate = "系统计算所得的试算平衡表期间发生额与导入的一致";
    public static final String Const_CompCustAmountUnValidate = "系统计算所得的试算平衡表期间发生额与导入的不一致";

    public static final String Const_CompCustBegBalValidate = "系统计算所得的试算平衡表期初余额与导入的一致";
    public static final String Const_CompCustBegBalUnValidate = "系统计算所得的试算平衡表期初余额与导入的不一致";

    public static final String Const_BegEndBalValidate = "系统计算所得的上月期末与导入的本月期初一致";
    public static final String Const_BegEndBalUnValidate = "系统计算所得的上月期末与导入的本月期初不一致";

    public static final String Const_JournalEntryDebitCreditUnValidate = "凭证借贷不平衡";
    public static final String Const_JournalEntrySummaryEmptyUnValidate = "凭证摘要为空";

    public static final String Const_AccountMapping_NotMapStd = "没有对应标准科目";
    public static final String Const_AccountMapping_NotMapStd_Tips = "没有对应标准科目会导致后续报表不准确";
}
