package pwc.taxtech.atms.constant.enums;

public enum TemplateGroupType {

    /// <summary>
    /// 纳税申报表
    /// </summary>
    TaxReturn (1),

    /// <summary>
    /// 财务报表
    /// </summary>
    FinancialReturn(2);

    private Integer code;

    TemplateGroupType(Integer code) {
        this.code = code;
    }

    public Integer getCode() {
        return code;
    }
}
