package pwc.taxtech.atms.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;
import pwc.taxtech.atms.dto.OperationResultDto;
import pwc.taxtech.atms.vat.entity.CellComment;
import pwc.taxtech.atms.vat.service.CellCommentService;

import java.util.List;

@RestController
@RequestMapping(value = "api/v1/CellComment")
public class CellCommentController {
    @Autowired
    CellCommentService cellCommentService;

    @RequestMapping(value = "List", method = RequestMethod.GET, produces = MediaType.APPLICATION_JSON_UTF8_VALUE)
    public OperationResultDto<List<CellComment>> getCellComments(@RequestParam Long cellDataId) {
        return cellCommentService.getCellComments(cellDataId);
    }
}
