package pwc.taxtech.atms.controller;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

import pwc.taxtech.atms.entitiy.Industry;
import pwc.taxtech.atms.service.ProjectIndustryService;

@RestController
@RequestMapping(value = "api/v1/industry")
public class IndustryController {

	@Autowired
	ProjectIndustryService projectIndustryService;

	@RequestMapping(value = "getAllAvailableIndustry", method = RequestMethod.GET, produces = MediaType.APPLICATION_JSON_UTF8_VALUE)
	public @ResponseBody List<Industry> getAllAvailableIndustry() {
		return projectIndustryService.getAllAvailableIndustry();
	}
}
