package pwc.taxtech.atms.controller;

import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.*;
import pwc.taxtech.atms.dto.OperationResultDto;
import pwc.taxtech.atms.dto.taxadmin.NotificationFilterDto;
import pwc.taxtech.atms.dto.taxadmin.PushNotificationsWithTasksInfor;
import pwc.taxtech.atms.dto.vatdto.WorkflowDetailsDto;

@RestController
@RequestMapping("/api/v1/workflow/")
public class WorkflowController {//TODO:only for index running,should be delete future (neo)

    @RequestMapping(value = "getPushNotifications", method = RequestMethod.POST, produces = MediaType.APPLICATION_JSON_UTF8_VALUE)
    public @ResponseBody
    PushNotificationsWithTasksInfor getPushNotifications(@RequestBody NotificationFilterDto notificationFilterDto) {
        PushNotificationsWithTasksInfor notificationsWithTasksInfor = new PushNotificationsWithTasksInfor();
        return notificationsWithTasksInfor;
    }

    @RequestMapping(value = "getWorkflowDetailByDb/{dbName}/{periodId}", method = RequestMethod.GET, produces = MediaType.APPLICATION_JSON_UTF8_VALUE)
    public @ResponseBody
    OperationResultDto<WorkflowDetailsDto> getWorkflowDetailByDb(@PathVariable String dbName, @PathVariable int periodId) {
        return new OperationResultDto<>();
    }
}
