package pwc.taxtech.atms.dao.dao;

import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import pwc.taxtech.atms.dao.ProjectMapper;
import pwc.taxtech.atms.entitiy.Project;
import pwc.taxtech.atms.entitiy.ProjectExample;

@Service
public class ProjectDao {
    @Autowired
    ProjectMapper projectMapper;

    public String getDbNameWithYearAndOrgID(String orgID,int year){
        ProjectExample example = new ProjectExample();
        example.createCriteria().andOrganizationIDEqualTo(orgID).andYearEqualTo(year);
        Project project = projectMapper.selectByExample(example).get(0);
        String dbName = StringUtils.EMPTY;
        if (project != null) {
            dbName = project.getDbName();
        }
        return dbName;
    }
}
