package pwc.taxtech.atms.dto.epaccount;

import java.util.Date;
import java.util.List;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.annotation.JSONType;
import com.fasterxml.jackson.annotation.JsonProperty;

@JSONType(orders = {"id", "enterpriseAccountSetID", "organizationID", "enterpriseAccountSetName", "organizationName", "effectiveDateStr", "expiredDateStr", "effectiveDate", "expiredDate", "overlapList"})
public class EnterpriseAccountSetOrgDto {

    @JSONField(name = "id")
    @JsonProperty("id")
    private String ID;
    
    private String enterpriseAccountSetID;
    
    private String organizationID;
    
    // 账套名称
    // The name of the enterprise account set
    private String enterpriseAccountSetName;
    
    // 机构名称
    // The name of the organization
    private String organizationName;
    
    private String effectiveDateStr;
    
    private String expiredDateStr;
    
    private Date effectiveDate;
    
    private Date expiredDate;
    
    private List<EnterpriseAccountSetOrgDto> overlapList;

    /**
     * @return the iD
     */
    public String getID() {
        return ID;
    }

    /**
     * @param iD the iD to set
     */
    public void setID(String ID) {
        this.ID = ID;
    }

    /**
     * @return the enterpriseAccountSetID
     */
    public String getEnterpriseAccountSetID() {
        return enterpriseAccountSetID;
    }

    /**
     * @param enterpriseAccountSetID the enterpriseAccountSetID to set
     */
    public void setEnterpriseAccountSetID(String enterpriseAccountSetID) {
        this.enterpriseAccountSetID = enterpriseAccountSetID;
    }

    /**
     * @return the organizationID
     */
    public String getOrganizationID() {
        return organizationID;
    }

    /**
     * @param organizationID the organizationID to set
     */
    public void setOrganizationID(String organizationID) {
        this.organizationID = organizationID;
    }

    /**
     * @return the enterpriseAccountSetName
     */
    public String getEnterpriseAccountSetName() {
        return enterpriseAccountSetName;
    }

    /**
     * @param enterpriseAccountSetName the enterpriseAccountSetName to set
     */
    public void setEnterpriseAccountSetName(String enterpriseAccountSetName) {
        this.enterpriseAccountSetName = enterpriseAccountSetName;
    }

    /**
     * @return the organizationName
     */
    public String getOrganizationName() {
        return organizationName;
    }

    /**
     * @param organizationName the organizationName to set
     */
    public void setOrganizationName(String organizationName) {
        this.organizationName = organizationName;
    }

    /**
     * @return the effectiveDateStr
     */
    public String getEffectiveDateStr() {
        return effectiveDateStr;
    }

    /**
     * @param effectiveDateStr the effectiveDateStr to set
     */
    public void setEffectiveDateStr(String effectiveDateStr) {
        this.effectiveDateStr = effectiveDateStr;
    }

    /**
     * @return the expiredDateStr
     */
    public String getExpiredDateStr() {
        return expiredDateStr;
    }

    /**
     * @param expiredDateStr the expiredDateStr to set
     */
    public void setExpiredDateStr(String expiredDateStr) {
        this.expiredDateStr = expiredDateStr;
    }

    /**
     * @return the effectiveDate
     */
    public Date getEffectiveDate() {
        return effectiveDate;
    }

    /**
     * @param effectiveDate the effectiveDate to set
     */
    public void setEffectiveDate(Date effectiveDate) {
        this.effectiveDate = effectiveDate;
    }

    /**
     * @return the expiredDate
     */
    public Date getExpiredDate() {
        return expiredDate;
    }

    /**
     * @param expiredDate the expiredDate to set
     */
    public void setExpiredDate(Date expiredDate) {
        this.expiredDate = expiredDate;
    }

    /**
     * @return the overlapList
     */
    public List<EnterpriseAccountSetOrgDto> getOverlapList() {
        return overlapList;
    }

    /**
     * @param overlapList the overlapList to set
     */
    public void setOverlapList(List<EnterpriseAccountSetOrgDto> overlapList) {
        this.overlapList = overlapList;
    }
    
    
}
