package pwc.taxtech.atms.dto.navtree;

import java.util.List;

import com.alibaba.fastjson.annotation.JSONType;

/**
 * DevTreeDto
 * @author Rita Zhou
 *
 */
@JSONType(orders = { "id", "text", "relyOnCodes", "code", "expanded", "parentId", "uniqueId", "data", "items"})
public class DevTreeDto<T> {

	private String id;
	
	private String text;
	
	private String relyOnCodes;
	
	private String code;
	
	private Boolean expanded;
	
	private String parentId;
	
	private String uniqueId;
	
	private T data;
	
	private List<DevTreeDto<T>> items;
	
	public String getId() {
		return id;
	}



	public void setId(String id) {
		this.id = id;
	}



	public String getText() {
		return text;
	}



	public void setText(String text) {
		this.text = text;
	}



	public String getRelyOnCodes() {
		return relyOnCodes;
	}



	public void setRelyOnCodes(String relyOnCodes) {
		this.relyOnCodes = relyOnCodes;
	}



	public String getCode() {
		return code;
	}



	public void setCode(String code) {
		this.code = code;
	}



	public Boolean getExpanded() {
		return expanded;
	}



	public void setExpanded(Boolean expanded) {
		this.expanded = expanded;
	}



	public String getParentId() {
		return parentId;
	}



	public void setParentId(String parentId) {
		this.parentId = parentId;
	}



	public String getUniqueId() {
		return uniqueId;
	}



	public void setUniqueId(String uniqueId) {
		this.uniqueId = uniqueId;
	}



	public T getData() {
		return data;
	}



	public void setData(T data) {
		this.data = data;
	}



	public List<DevTreeDto<T>> getItems() {
		return items;
	}



	public void setItems(List<DevTreeDto<T>> items) {
		this.items = items;
	}

}
