package pwc.taxtech.atms.dto.organization;

import com.fasterxml.jackson.annotation.JsonProperty;

/** @see PwC.Tax.Tech.Atms.Application.Dto\TaxAdminDto\OrganizationDto.cs */
public class OrgDisplayDto {
    private String orgID;
    private String parentID;
    private String orgName;
    private String areaName;
    private String industryName;
    private String structureName;
    private String regionName;
    private String dimensionID;
    private String dimensionName;
    private String dimensionValueName;
    private String dimensionValueID;

    private Integer level;
    private Integer PLevel;

    private String businessUnitName;
    private Integer subsidiaryCount;
    private Integer areaCount;

    public String getOrgID() {
        return orgID;
    }

    public void setOrgID(String orgID) {
        this.orgID = orgID;
    }

    public String getParentID() {
        return parentID;
    }

    public void setParentID(String parentID) {
        this.parentID = parentID;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public String getAreaName() {
        return areaName;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public String getIndustryName() {
        return industryName;
    }

    public void setIndustryName(String industryName) {
        this.industryName = industryName;
    }

    public String getStructureName() {
        return structureName;
    }

    public void setStructureName(String structureName) {
        this.structureName = structureName;
    }

    public String getRegionName() {
        return regionName;
    }

    public void setRegionName(String regionName) {
        this.regionName = regionName;
    }

    public String getDimensionID() {
        return dimensionID;
    }

    public void setDimensionID(String dimensionID) {
        this.dimensionID = dimensionID;
    }

    public String getDimensionName() {
        return dimensionName;
    }

    public void setDimensionName(String dimensionName) {
        this.dimensionName = dimensionName;
    }

    public String getDimensionValueName() {
        return dimensionValueName;
    }

    public void setDimensionValueName(String dimensionValueName) {
        this.dimensionValueName = dimensionValueName;
    }

    public String getDimensionValueID() {
        return dimensionValueID;
    }

    public void setDimensionValueID(String dimensionValueID) {
        this.dimensionValueID = dimensionValueID;
    }

    public Integer getLevel() {
        return level;
    }

    public void setLevel(Integer level) {
        this.level = level;
    }

    @JsonProperty("pLevel")
    public Integer getPLevel() {
        return PLevel;
    }

    public void setPLevel(Integer pLevel) {
        PLevel = pLevel;
    }

    public String getBusinessUnitName() {
        return businessUnitName;
    }

    public void setBusinessUnitName(String businessUnitName) {
        this.businessUnitName = businessUnitName;
    }
   
    public Integer getSubsidiaryCount() {
        return subsidiaryCount;
    }

    public void setSubsidiaryCount(Integer subsidiaryCount) {
        this.subsidiaryCount = subsidiaryCount;
    }

    public Integer getAreaCount() {
        return areaCount;
    }

    public void setAreaCount(Integer areaCount) {
        this.areaCount = areaCount;
    }

}
