package pwc.taxtech.atms.dto.taxadmin;

import java.util.ArrayList;
import java.util.Date;
import java.util.Dictionary;
import java.util.List;
import java.util.Map;

public class ProjectDisplayDto {
    private String clientCode ;
    private String code ;
    private Date createTime ;
    private String dbName ;
    private Date effectiveDate ;
    private Integer endPeriod ;
    private String enterpriseAccountSetID ;
    private Date expiredDate ;
    private Boolean haveCreateProject ;
    private String id ;
    private String industryID ;
    private String industryName ;
    private Boolean isActive ;
    private String name ;
    private String organizationID ;
    private String organizationName ;
    private Map<Integer, Integer> projectStatusList ;
    private String regionID ;
    private String regionName ;
    private Integer ruleType ;
    private String serviceTypeID ;
    private List<String> serviceTypeIDs ;
    private String serviceTypeName ;
    private List<ServiceTypeTemplateGroup> serviceTypeTemplateGroupList ;
    private Integer startPeriod ;
    private String templateGroupID ;
    private String templateGroupName ;
    private Date upDate ;
    private Integer year ;

    public String getClientCode() {
        return clientCode;
    }

    public void setClientCode(String clientCode) {
        this.clientCode = clientCode;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getDbName() {
        return dbName;
    }

    public void setDbName(String dbName) {
        this.dbName = dbName;
    }

    public Date getEffectiveDate() {
        return effectiveDate;
    }

    public void setEffectiveDate(Date effectiveDate) {
        this.effectiveDate = effectiveDate;
    }

    public Integer getEndPeriod() {
        return endPeriod;
    }

    public void setEndPeriod(Integer endPeriod) {
        this.endPeriod = endPeriod;
    }

    public String getEnterpriseAccountSetID() {
        return enterpriseAccountSetID;
    }

    public void setEnterpriseAccountSetID(String enterpriseAccountSetID) {
        this.enterpriseAccountSetID = enterpriseAccountSetID;
    }

    public Date getExpiredDate() {
        return expiredDate;
    }

    public void setExpiredDate(Date expiredDate) {
        this.expiredDate = expiredDate;
    }

    public Boolean getHaveCreateProject() {
        return haveCreateProject;
    }

    public void setHaveCreateProject(Boolean haveCreateProject) {
        this.haveCreateProject = haveCreateProject;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getIndustryID() {
        return industryID;
    }

    public void setIndustryID(String industryID) {
        this.industryID = industryID;
    }

    public String getIndustryName() {
        return industryName;
    }

    public void setIndustryName(String industryName) {
        this.industryName = industryName;
    }

    public Boolean getActive() {
        return isActive;
    }

    public void setActive(Boolean active) {
        isActive = active;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getOrganizationID() {
        return organizationID;
    }

    public void setOrganizationID(String organizationID) {
        this.organizationID = organizationID;
    }

    public String getOrganizationName() {
        return organizationName;
    }

    public void setOrganizationName(String organizationName) {
        this.organizationName = organizationName;
    }

    public String getRegionID() {
        return regionID;
    }

    public void setRegionID(String regionID) {
        this.regionID = regionID;
    }

    public String getRegionName() {
        return regionName;
    }

    public void setRegionName(String regionName) {
        this.regionName = regionName;
    }

    public Integer getRuleType() {
        return ruleType;
    }

    public void setRuleType(Integer ruleType) {
        this.ruleType = ruleType;
    }

    public String getServiceTypeID() {
        return serviceTypeID;
    }

    public void setServiceTypeID(String serviceTypeID) {
        this.serviceTypeID = serviceTypeID;
    }

    public List<String> getServiceTypeIDs() {
        return serviceTypeIDs;
    }

    public void setServiceTypeIDs(List<String> serviceTypeIDs) {
        this.serviceTypeIDs = serviceTypeIDs;
    }

    public String getServiceTypeName() {
        return serviceTypeName;
    }

    public void setServiceTypeName(String serviceTypeName) {
        this.serviceTypeName = serviceTypeName;
    }

    public List<ServiceTypeTemplateGroup> getServiceTypeTemplateGroupList() {
        return serviceTypeTemplateGroupList;
    }

    public void setServiceTypeTemplateGroupList(List<ServiceTypeTemplateGroup> serviceTypeTemplateGroupList) {
        this.serviceTypeTemplateGroupList = serviceTypeTemplateGroupList;
    }

    public Integer getStartPeriod() {
        return startPeriod;
    }

    public void setStartPeriod(Integer startPeriod) {
        this.startPeriod = startPeriod;
    }

    public String getTemplateGroupID() {
        return templateGroupID;
    }

    public void setTemplateGroupID(String templateGroupID) {
        this.templateGroupID = templateGroupID;
    }

    public String getTemplateGroupName() {
        return templateGroupName;
    }

    public void setTemplateGroupName(String templateGroupName) {
        this.templateGroupName = templateGroupName;
    }

    public Date getUpDate() {
        return upDate;
    }

    public void setUpDate(Date upDate) {
        this.upDate = upDate;
    }

    public Integer getYear() {
        return year;
    }

    public void setYear(Integer year) {
        this.year = year;
    }

    public ProjectDisplayDto demo() {
        this.clientCode = "1";
        this.code = "1";
        this.createTime = new Date();
        this.dbName = "db";
        this.effectiveDate = new Date();
        this.endPeriod = 1;
        this.enterpriseAccountSetID = "1";
        this.expiredDate = new Date();
        this.haveCreateProject = true;
        this.id = "1";
        this.industryID = "1";
        this.industryName = "dname";
        this.isActive = true;
        this.name = "na";
        this.organizationID = "oid";
        this.organizationName = "oname";
        this.projectStatusList=null;
        this.regionID = "1";
        this.regionName = "rn";
        this.ruleType = 1;
        this.serviceTypeID = "1";
        this.serviceTypeIDs = new ArrayList<>();
        this.serviceTypeName = "sn";
        this.serviceTypeTemplateGroupList =new ArrayList<>();
        this.startPeriod = 1;
        this.templateGroupID = "1";
        this.templateGroupName = "tn";
        this.upDate = new Date();
        this.year = 1;
        return this;
    }

    public Map<Integer, Integer> getProjectStatusList() {
        return projectStatusList;
    }

    public void setProjectStatusList(Map<Integer, Integer> projectStatusList) {
        this.projectStatusList = projectStatusList;
    }
}
