package pwc.taxtech.atms.dto.user;

/**
 * @see PwC.Tax.Tech.Atms.Application.Dto\TaxAdminDto\UserDimensionValueRoleDto.cs
 */
public class UserDimensionValueRoleDto {

    private String ID;
    private String userDimensionValueID;
    private String roleID;
    private String roleName;
    private String userID;
    private String dimensionID;
    private String dimensionValueID;
    private Short isAccessible;
    private Short hasOriginalRole;

    public String getID() {
        return ID;
    }

    public void setID(String iD) {
        ID = iD;
    }

    public String getUserDimensionValueID() {
        return userDimensionValueID;
    }

    public void setUserDimensionValueID(String userDimensionValueID) {
        this.userDimensionValueID = userDimensionValueID;
    }

    public String getRoleID() {
        return roleID;
    }

    public void setRoleID(String roleID) {
        this.roleID = roleID;
    }

    public String getRoleName() {
        return roleName;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    public String getUserID() {
        return userID;
    }

    public void setUserID(String userID) {
        this.userID = userID;
    }

    public String getDimensionID() {
        return dimensionID;
    }

    public void setDimensionID(String dimensionID) {
        this.dimensionID = dimensionID;
    }

    public String getDimensionValueID() {
        return dimensionValueID;
    }

    public void setDimensionValueID(String dimensionValueID) {
        this.dimensionValueID = dimensionValueID;
    }

    public Short getIsAccessible() {
        return isAccessible;
    }

    public void setIsAccessible(Short isAccessible) {
        this.isAccessible = isAccessible;
    }

    public Short getHasOriginalRole() {
        return hasOriginalRole;
    }

    public void setHasOriginalRole(Short hasOriginalRole) {
        this.hasOriginalRole = hasOriginalRole;
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((ID == null) ? 0 : ID.hashCode());
        result = prime * result + ((dimensionID == null) ? 0 : dimensionID.hashCode());
        result = prime * result + ((dimensionValueID == null) ? 0 : dimensionValueID.hashCode());
        result = prime * result + ((hasOriginalRole == null) ? 0 : hasOriginalRole.hashCode());
        result = prime * result + ((isAccessible == null) ? 0 : isAccessible.hashCode());
        result = prime * result + ((roleID == null) ? 0 : roleID.hashCode());
        result = prime * result + ((roleName == null) ? 0 : roleName.hashCode());
        result = prime * result + ((userDimensionValueID == null) ? 0 : userDimensionValueID.hashCode());
        result = prime * result + ((userID == null) ? 0 : userID.hashCode());
        return result;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj)
            return true;
        if (obj == null)
            return false;
        if (getClass() != obj.getClass())
            return false;
        UserDimensionValueRoleDto other = (UserDimensionValueRoleDto) obj;
        if (ID == null) {
            if (other.ID != null)
                return false;
        } else if (!ID.equals(other.ID))
            return false;
        if (dimensionID == null) {
            if (other.dimensionID != null)
                return false;
        } else if (!dimensionID.equals(other.dimensionID))
            return false;
        if (dimensionValueID == null) {
            if (other.dimensionValueID != null)
                return false;
        } else if (!dimensionValueID.equals(other.dimensionValueID))
            return false;
        if (hasOriginalRole == null) {
            if (other.hasOriginalRole != null)
                return false;
        } else if (!hasOriginalRole.equals(other.hasOriginalRole))
            return false;
        if (isAccessible == null) {
            if (other.isAccessible != null)
                return false;
        } else if (!isAccessible.equals(other.isAccessible))
            return false;
        if (roleID == null) {
            if (other.roleID != null)
                return false;
        } else if (!roleID.equals(other.roleID))
            return false;
        if (roleName == null) {
            if (other.roleName != null)
                return false;
        } else if (!roleName.equals(other.roleName))
            return false;
        if (userDimensionValueID == null) {
            if (other.userDimensionValueID != null)
                return false;
        } else if (!userDimensionValueID.equals(other.userDimensionValueID))
            return false;
        if (userID == null) {
            if (other.userID != null)
                return false;
        } else if (!userID.equals(other.userID))
            return false;
        return true;
    }

}
