package pwc.taxtech.atms.dto.user;

import java.util.List;

import pwc.taxtech.atms.dto.navtree.DevTreeDto;

/**
 * @see PwC.Tax.Tech.Atms.Application.Dto\TaxAdminDto\UserRoleDimensionValueDto.cs
 */
public class UserOrganizationDto {

    private String userID;

    private String userName;

    private String organizationID;

    private String organizationName;

    private Boolean isAccessible;

    private Boolean hasOriginalRole;

    private List<DimensionUser> dimensionUserList;

    private List<DevTreeDto> permissionTreeList;

    public String getUserID() {
        return userID;
    }

    public void setUserID(String userID) {
        this.userID = userID;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getOrganizationID() {
        return organizationID;
    }

    public void setOrganizationID(String organizationID) {
        this.organizationID = organizationID;
    }

    public String getOrganizationName() {
        return organizationName;
    }

    public void setOrganizationName(String organizationName) {
        this.organizationName = organizationName;
    }

    public Boolean getIsAccessible() {
        return isAccessible;
    }

    public void setIsAccessible(Boolean isAccessible) {
        this.isAccessible = isAccessible;
    }

    public Boolean getHasOriginalRole() {
        return hasOriginalRole;
    }

    public void setHasOriginalRole(Boolean hasOriginalRole) {
        this.hasOriginalRole = hasOriginalRole;
    }

    public List<DimensionUser> getDimensionUserList() {
        return dimensionUserList;
    }

    public void setDimensionUserList(List<DimensionUser> dimensionUserList) {
        this.dimensionUserList = dimensionUserList;
    }

    public List<DevTreeDto> getPermissionTreeList() {
        return permissionTreeList;
    }

    public void setPermissionTreeList(List<DevTreeDto> permissionTreeList) {
        this.permissionTreeList = permissionTreeList;
    }

}
