package pwc.taxtech.atms.dto.user;

import java.util.List;

/** @see PwC.Tax.Tech.Atms.Application.Dto\TaxAdminDto\UserRoleDto.cs */
public class UserRoleDto {

    private String ID;
    private String userID;
    private String userName;
    private String roleID;
    private String roleName;
    private String projectID;
    private String projectName;
    private String serviceTypeID;
    private String serviceTypeName;
    private List<UserRoleDto> subItems;
    private Boolean isActive;
    private String roleCategoryID;
    private String roleCategoryName;
    private String orgID;
    private String orgName;

    public String getID() {
        return ID;
    }

    public void setID(String iD) {
        ID = iD;
    }

    public String getUserID() {
        return userID;
    }

    public void setUserID(String userID) {
        this.userID = userID;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getRoleID() {
        return roleID;
    }

    public void setRoleID(String roleID) {
        this.roleID = roleID;
    }

    public String getRoleName() {
        return roleName;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    public String getProjectID() {
        return projectID;
    }

    public void setProjectID(String projectID) {
        this.projectID = projectID;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getServiceTypeID() {
        return serviceTypeID;
    }

    public void setServiceTypeID(String serviceTypeID) {
        this.serviceTypeID = serviceTypeID;
    }

    public String getServiceTypeName() {
        return serviceTypeName;
    }

    public void setServiceTypeName(String serviceTypeName) {
        this.serviceTypeName = serviceTypeName;
    }

    public List<UserRoleDto> getSubItems() {
        return subItems;
    }

    public void setSubItems(List<UserRoleDto> subItems) {
        this.subItems = subItems;
    }

    public Boolean getIsActive() {
        return isActive;
    }

    public void setIsActive(Boolean isActive) {
        this.isActive = isActive;
    }

    public String getRoleCategoryID() {
        return roleCategoryID;
    }

    public void setRoleCategoryID(String roleCategoryID) {
        this.roleCategoryID = roleCategoryID;
    }

    public String getRoleCategoryName() {
        return roleCategoryName;
    }

    public void setRoleCategoryName(String roleCategoryName) {
        this.roleCategoryName = roleCategoryName;
    }

    public String getOrgID() {
        return orgID;
    }

    public void setOrgID(String orgID) {
        this.orgID = orgID;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    /* (non-Javadoc)
     * @see java.lang.Object#hashCode()
     */
    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((ID == null) ? 0 : ID.hashCode());
        result = prime * result + ((isActive == null) ? 0 : isActive.hashCode());
        result = prime * result + ((orgID == null) ? 0 : orgID.hashCode());
        result = prime * result + ((orgName == null) ? 0 : orgName.hashCode());
        result = prime * result + ((projectID == null) ? 0 : projectID.hashCode());
        result = prime * result + ((projectName == null) ? 0 : projectName.hashCode());
        result = prime * result + ((roleCategoryID == null) ? 0 : roleCategoryID.hashCode());
        result = prime * result + ((roleCategoryName == null) ? 0 : roleCategoryName.hashCode());
        result = prime * result + ((roleID == null) ? 0 : roleID.hashCode());
        result = prime * result + ((roleName == null) ? 0 : roleName.hashCode());
        result = prime * result + ((serviceTypeID == null) ? 0 : serviceTypeID.hashCode());
        result = prime * result + ((serviceTypeName == null) ? 0 : serviceTypeName.hashCode());
        result = prime * result + ((subItems == null) ? 0 : subItems.hashCode());
        result = prime * result + ((userID == null) ? 0 : userID.hashCode());
        result = prime * result + ((userName == null) ? 0 : userName.hashCode());
        return result;
    }

    /* (non-Javadoc)
     * @see java.lang.Object#equals(java.lang.Object)
     */
    @Override
    public boolean equals(Object obj) {
        if (this == obj)
            return true;
        if (obj == null)
            return false;
        if (getClass() != obj.getClass())
            return false;
        UserRoleDto other = (UserRoleDto) obj;
        if (ID == null) {
            if (other.ID != null)
                return false;
        } else if (!ID.equals(other.ID))
            return false;
        if (isActive == null) {
            if (other.isActive != null)
                return false;
        } else if (!isActive.equals(other.isActive))
            return false;
        if (orgID == null) {
            if (other.orgID != null)
                return false;
        } else if (!orgID.equals(other.orgID))
            return false;
        if (orgName == null) {
            if (other.orgName != null)
                return false;
        } else if (!orgName.equals(other.orgName))
            return false;
        if (projectID == null) {
            if (other.projectID != null)
                return false;
        } else if (!projectID.equals(other.projectID))
            return false;
        if (projectName == null) {
            if (other.projectName != null)
                return false;
        } else if (!projectName.equals(other.projectName))
            return false;
        if (roleCategoryID == null) {
            if (other.roleCategoryID != null)
                return false;
        } else if (!roleCategoryID.equals(other.roleCategoryID))
            return false;
        if (roleCategoryName == null) {
            if (other.roleCategoryName != null)
                return false;
        } else if (!roleCategoryName.equals(other.roleCategoryName))
            return false;
        if (roleID == null) {
            if (other.roleID != null)
                return false;
        } else if (!roleID.equals(other.roleID))
            return false;
        if (roleName == null) {
            if (other.roleName != null)
                return false;
        } else if (!roleName.equals(other.roleName))
            return false;
        if (serviceTypeID == null) {
            if (other.serviceTypeID != null)
                return false;
        } else if (!serviceTypeID.equals(other.serviceTypeID))
            return false;
        if (serviceTypeName == null) {
            if (other.serviceTypeName != null)
                return false;
        } else if (!serviceTypeName.equals(other.serviceTypeName))
            return false;
        if (subItems == null) {
            if (other.subItems != null)
                return false;
        } else if (!subItems.equals(other.subItems))
            return false;
        if (userID == null) {
            if (other.userID != null)
                return false;
        } else if (!userID.equals(other.userID))
            return false;
        if (userName == null) {
            if (other.userName != null)
                return false;
        } else if (!userName.equals(other.userName))
            return false;
        return true;
    }
    
    
}
