package pwc.taxtech.atms.dto.user;

import java.util.List;

public class UserRoleInfo {

    /// 用户ID
    /// The identifier.
    private String ID;

    /// 用户名
    /// The name of the user.
    private String userName;

    private String email;

    /// 1:激活
    /// -1：未激活
    /// 0：禁用
    /// 2:锁定
    /// The status.
    public Integer status;

    /// 机构ID
    /// The organization identifier.
    private String organizationID;

    private String serviceTypeID;

    /// 机构名
    /// The name of the organization.
    private String organizationName;

    /// 事业部
    private String businessUnitID;

    /// 区域ID
    private String areaID;

    public Boolean isAccessible;

    /// 角色列表
    /// The role information list.
    public List<RoleInfo> roleInfoList;

    /**
     * @return the iD
     */
    public String getID() {
        return ID;
    }

    /**
     * @param iD
     *            the iD to set
     */
    public void setID(String iD) {
        ID = iD;
    }

    /**
     * @return the userName
     */
    public String getUserName() {
        return userName;
    }

    /**
     * @param userName
     *            the userName to set
     */
    public void setUserName(String userName) {
        this.userName = userName;
    }

    /**
     * @return the email
     */
    public String getEmail() {
        return email;
    }

    /**
     * @param email
     *            the email to set
     */
    public void setEmail(String email) {
        this.email = email;
    }

    /**
     * @return the status
     */
    public Integer getStatus() {
        return status;
    }

    /**
     * @param status
     *            the status to set
     */
    public void setStatus(Integer status) {
        this.status = status;
    }

    /**
     * @return the organizationID
     */
    public String getOrganizationID() {
        return organizationID;
    }

    /**
     * @param organizationID
     *            the organizationID to set
     */
    public void setOrganizationID(String organizationID) {
        this.organizationID = organizationID;
    }

    /**
     * @return the serviceTypeID
     */
    public String getServiceTypeID() {
        return serviceTypeID;
    }

    /**
     * @param serviceTypeID
     *            the serviceTypeID to set
     */
    public void setServiceTypeID(String serviceTypeID) {
        this.serviceTypeID = serviceTypeID;
    }

    /**
     * @return the organizationName
     */
    public String getOrganizationName() {
        return organizationName;
    }

    /**
     * @param organizationName
     *            the organizationName to set
     */
    public void setOrganizationName(String organizationName) {
        this.organizationName = organizationName;
    }

    /**
     * @return the businessUnitID
     */
    public String getBusinessUnitID() {
        return businessUnitID;
    }

    /**
     * @param businessUnitID
     *            the businessUnitID to set
     */
    public void setBusinessUnitID(String businessUnitID) {
        this.businessUnitID = businessUnitID;
    }

    /**
     * @return the areaID
     */
    public String getAreaID() {
        return areaID;
    }

    /**
     * @param areaID
     *            the areaID to set
     */
    public void setAreaID(String areaID) {
        this.areaID = areaID;
    }

    /**
     * @return the isAccessible
     */
    public Boolean getIsAccessible() {
        return isAccessible;
    }

    /**
     * @param isAccessible
     *            the isAccessible to set
     */
    public void setIsAccessible(Boolean isAccessible) {
        this.isAccessible = isAccessible;
    }

    /**
     * @return the roleInfoList
     */
    public List<RoleInfo> getRoleInfoList() {
        return roleInfoList;
    }

    /**
     * @param roleInfoList
     *            the roleInfoList to set
     */
    public void setRoleInfoList(List<RoleInfo> roleInfoList) {
        this.roleInfoList = roleInfoList;
    }

}
