package pwc.taxtech.atms.dto.vatdto;

import lombok.Getter;
import lombok.Setter;
import pwc.taxtech.atms.dto.CellTemplateConfigDto;
import pwc.taxtech.atms.vat.entity.ModifiedReportCell;

import java.util.List;

@Getter
@Setter
public class CellDataDto {
    private Long cellID ;

    private Long reportID ;

    private int columnIndex ;

    private String columnName ;

    private int rowIndex ;

    private String rowName ;

    private String formula ;

    private Boolean isCalculated ;

    private String cellValue ;

    private Long cellTemplateID ;

    private Long reportTemplateID ;

    private Integer dataType ;

    private Boolean isReadOnly ;

    private String dataSourceExp ;
    private String formulaExp ;

    private String description ;

    private Boolean dataSourceAvailable ;

    private CellTemplateConfigDto cellTemplateConfig ;

    private List<DataSourceDto> dataSourceList ;

    private List<InvoiceListDto> dataInvoiceList ;

    //是否是用户手工调整过得值
    private Boolean isModified ;

    //用户直接修改单元格的信息
    private ModifiedReportCell modifiedReportCell ;

    private List<CellVoucherDatasourceDto> dataVoucherList ;

    private Boolean isConfigured ;
}
