package pwc.taxtech.atms.dto.vatdto;

import lombok.Getter;

@Getter
public class CurrentPeriodBo {
    int curYear = 0;
    int curPeriod;

    public CurrentPeriodBo(int period) {
        this.curPeriod = period;
    }

    public CurrentPeriodBo fixedCurYear(int curYear) {
        this.curYear =+ curYear;
        return this;
    }

   public static CurrentPeriodBo getPeriod(int parameterPeriod,int periodContent) {
        int yearOffset = 0;
        if (parameterPeriod == -99) {
            return new CurrentPeriodBo(parameterPeriod);
        } else if (parameterPeriod <= -1) {
            Integer period = parameterPeriod +periodContent;
            while (period <= 0) {
                yearOffset--;
                period += 12;
                //throw new NotImplementedException();
            }

            return new CurrentPeriodBo(period).fixedCurYear(yearOffset);
        } else if (parameterPeriod == 0) {
            return new CurrentPeriodBo(periodContent);
        } else {
            return new CurrentPeriodBo(parameterPeriod);
        }
    }
}
