package pwc.taxtech.atms.dto.vatdto;

import pwc.taxtech.atms.constant.enums.EnumInvoiceType;

import java.math.BigDecimal;
import java.util.Date;

public class InputVATInvoiceDto extends InputVATInvoiceBaseDto {
    private String ID ;
    private int periodID ;
    private String invoiceCode ;
    private String invoiceNumber ;
    private Date invoiceDate ;
    private String sellerTaxNumber ;
    private BigDecimal amount ;
    private BigDecimal taxAmount ;
    private String invoiceTypeName;
    private int invoiceType ;
    private String certificationResult ;
    private Date certificationDate ;
    private String creatorID ;
    private Date createTime ;
    private boolean isDuplicate ;

    public String getID() {
        return ID;
    }

    public void setID(String ID) {
        this.ID = ID;
    }

    public int getPeriodID() {
        return periodID;
    }

    public void setPeriodID(int periodID) {
        this.periodID = periodID;
    }

    public String getInvoiceCode() {
        return invoiceCode;
    }

    public void setInvoiceCode(String invoiceCode) {
        this.invoiceCode = invoiceCode;
    }

    public String getInvoiceNumber() {
        return invoiceNumber;
    }

    public void setInvoiceNumber(String invoiceNumber) {
        this.invoiceNumber = invoiceNumber;
    }

    public Date getInvoiceDate() {
        return invoiceDate;
    }

    public void setInvoiceDate(Date invoiceDate) {
        this.invoiceDate = invoiceDate;
    }

    public String getSellerTaxNumber() {
        return sellerTaxNumber;
    }

    public void setSellerTaxNumber(String sellerTaxNumber) {
        this.sellerTaxNumber = sellerTaxNumber;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public BigDecimal getTaxAmount() {
        return taxAmount;
    }

    public void setTaxAmount(BigDecimal taxAmount) {
        this.taxAmount = taxAmount;
    }

    public int getInvoiceType() {
        return invoiceType;
    }

    public void setInvoiceType(int invoiceType) {
        this.invoiceType = invoiceType;
    }

    public String getCertificationResult() {
        return certificationResult;
    }

    public void setCertificationResult(String certificationResult) {
        this.certificationResult = certificationResult;
    }

    public Date getCertificationDate() {
        return certificationDate;
    }

    public void setCertificationDate(Date certificationDate) {
        this.certificationDate = certificationDate;
    }

    public String getCreatorID() {
        return creatorID;
    }

    public void setCreatorID(String creatorID) {
        this.creatorID = creatorID;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public boolean isDuplicate() {
        return isDuplicate;
    }

    public void setDuplicate(boolean duplicate) {
        isDuplicate = duplicate;
    }

    public String getInvoiceTypeName() {
        return EnumInvoiceType.values()[this.invoiceType].getName();
    }
}
