package pwc.taxtech.atms.service;

public interface AccountService {
    
    /**
     * 匹配标准科目到企业科目（按科目编码）
     * @param enterpriseAccountSetID - 账套Id
     * @param stdAccountCode - 标准科目编码
     * @param epAccountCode - 企业科目编码
     * @param industryID - 行业Id
     * @param organizationID - 机构Id
     * @param bOverwrite - 是否覆盖已有对应
     * @param acctLevel - 科目级别
     */
    void mapStdAccountByCode (String enterpriseAccountSetID, String stdAccountCode, String epAccountCode, String industryID, String organizationID, 
            Boolean bOverwrite, Integer acctLevel);
    
}
