package pwc.taxtech.atms.service;

import java.util.List;

import pwc.taxtech.atms.dto.BusinessUnitDto;
import pwc.taxtech.atms.dto.BusinessUnitInputDto;
import pwc.taxtech.atms.dto.IdModel;
import pwc.taxtech.atms.entitiy.BusinessUnit;

public interface BusinessUnitService {

    List<BusinessUnitDto> getBusinessUnits();

    void addBusinessUnits(List<BusinessUnitInputDto> businessUnitDtoList);

    Integer deleteBusinessUnit(IdModel idModel);

    Boolean updateBusinessUnits(List<BusinessUnitDto> businessUnitDtoList);
    
    List<BusinessUnit> findByNameAndIsActive(String name, Boolean isActive);

    List<BusinessUnit> findByIsActiveTrue();
}
