package pwc.taxtech.atms.service;

import pwc.taxtech.atms.dto.OperationResultDto;
import pwc.taxtech.atms.dto.taxadmin.PeriodInfoDto;

import java.util.List;

public interface ProjectInfoService {
    OperationResultDto<Boolean> isProjectImportedData(String projectId, Integer serviceType, Integer importTypeId);

    OperationResultDto<Boolean> isProjectImportedData(String projectId, Integer importTypeId);

    OperationResultDto<List<PeriodInfoDto>> getProjectImportType(String projectId, List<Integer> periods, Integer serviceTypeId, String id);

    Integer getImportType(String projectID, Integer periodID, String id, Integer serviceType);
}
