package pwc.taxtech.atms.service;

import java.util.List;
import java.util.Map;

import pwc.taxtech.atms.dto.ProjectClientDto;
import pwc.taxtech.atms.dto.ServiceTypeDto;
import pwc.taxtech.atms.dto.taxadmin.AddProjectResult;
import pwc.taxtech.atms.dto.taxadmin.ProjectDisplayDto;

public interface ProjectService {
    /** @see PwC.Tax.Tech.Atms..Admin.Application\Services\IProjectService.cs */

    /**
     * Find Top level areas (parentId == null)
     * 
     * @return List<Area>
     */
    List<ServiceTypeDto> getServiceList();

    // List<ProjectDisplayDto> getProjectList(String orgID, String serviceID,
    // Integer projectYear);
    // List<ProjectDisplayDto> getOneProjectByDbNameServiceIdAndPeriodId(String
    // dbName, String serviceID, Integer periodId);
    // List<ProjectDisplayDto> getAllProjectList(String orgID, String serviceID,
    // Integer projectYear);
    // List<ProjectDisplayDto> getProjectByID(String projectID);
    // List<ProjectDisplayDto> getProjectListExceptSelected(String userID);
    //
    // ProjectDisplayDto getSingleProjectByID(String projectID);
    //
    // AddProjectResult addProject(ProjectDisplayDto projectDto, String userName);
    //
    // OperationResultDto<Object> updateProject(ProjectDisplayDto projectDto, String
    // userName);

    List<ProjectClientDto> getProjectClientList();

    List<ProjectDisplayDto> getProjectByID(String projectID);

    List<ProjectDisplayDto> getAllProjectList(String orgID, String s, Integer projectYear);

    AddProjectResult addProject(ProjectDisplayDto projectDto, String userName);

    Map<Integer,Integer> getProjectAllStatus(String dbName);

    // Map<Integer, Integer> getProjectAllStatus(String dbName);

}
