package pwc.taxtech.atms.service.impl;

import java.util.List;

import org.springframework.stereotype.Service;

import pwc.taxtech.atms.entitiy.Dictionary;
import pwc.taxtech.atms.entitiy.DictionaryExample;
import pwc.taxtech.atms.service.DictionaryService;

@Service
public class DictionaryServiceImpl extends AbstractService implements DictionaryService {

    @Override
    public List<Dictionary> getDictionaryByCode(String code) {
        DictionaryExample example = new DictionaryExample();
        example.createCriteria().andCodeEqualTo(code).andIsActiveEqualTo(true);
        example.setOrderByClause("OrderIndex");
        return dictionaryMapper.selectByExample(example);
    }

}
