package pwc.taxtech.atms.service.impl;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Service;

import pwc.taxtech.atms.dto.ModelProfileDto;
import pwc.taxtech.atms.service.ModelConfigurationService;

@Service
public class ModelConfigurationServiceImpl extends AbstractService implements ModelConfigurationService {

	@Override
	public List<ModelProfileDto> getModelListByIndustry(String serviceTypeID, String industryID) {
		Map<String,Object> map = new HashMap<>(2);
		map.put("serviceTypeID",serviceTypeID);
		map.put("industryID",industryID);
		return modelConfigMapper.getModelListByIndustry(map);
	}

}
