package pwc.taxtech.atms.vat.service.impl.report.functions;

import lombok.Getter;
import lombok.Setter;
import pwc.taxtech.atms.vat.service.impl.FormulaAgent;

@Setter
@Getter
public class FormulaContext {
    private String projectID;
    private Long reportTemplateGroupID;
    private Long reportID;
    private String organizationID;
    private Integer period;
    private Integer year;
    private Boolean isYear;
    private String indexResultId;
    private Integer yearBeginPeriod;
    private Integer yearEndPeriod;
    private Boolean ifRound;
    private Boolean isValidation;
    private Boolean isDetailed;
    private Boolean isIndexAnalysis;
    private Boolean cacheHasIndexCode;

    /**
     * 如果BB公式在cache中取上期失败，是否去上期取
     */
    private Boolean ifCalcStackValue;

    /**
     * 如果为99，则实时计算；如果为-1，则不用于判断是否实时计算；其他情况会在对应时机计算并保存
     */
    private Integer calculateStatus;

    private FormulaAgent formulaAgent;

    //private Map<String, FormulaResult> replaceSpecialCellFormulaDic;
}
