package pwc.taxtech.atms.common;

import static org.junit.Assert.assertEquals;

import java.util.ArrayList;
import java.util.List;

import org.junit.Test;

import pwc.taxtech.atms.dto.VMRegionDevTreeData;
import pwc.taxtech.atms.dto.navtree.DevTreeDto;

public class SortUtilsTest{

	@Test
	public void sortDevTreeDtoByTextTest() {
		List<DevTreeDto<VMRegionDevTreeData>> devTree = new ArrayList<>();
		
		DevTreeDto<VMRegionDevTreeData> o1 = new DevTreeDto<>();
		o1.setText("111");
		DevTreeDto<VMRegionDevTreeData> o2 = new DevTreeDto<>();
		o2.setText("CBA");
		DevTreeDto<VMRegionDevTreeData> o3 = new DevTreeDto<>();
		o3.setText("abc");
		DevTreeDto<VMRegionDevTreeData> o4 = new DevTreeDto<>();
		o4.setText("直辖市");
		DevTreeDto<VMRegionDevTreeData> o5 = new DevTreeDto<>();
		o5.setText("大中华");
		devTree.add(o1);devTree.add(o2);devTree.add(o3);devTree.add(o4);devTree.add(o5);
		
		SortUtils.sortDevTreeDtoByText(devTree);
		
		assertEquals("111", devTree.get(0).getText());
		assertEquals("abc", devTree.get(1).getText());
		assertEquals("CBA", devTree.get(2).getText());
		assertEquals("大中华", devTree.get(3).getText());
		assertEquals("直辖市", devTree.get(4).getText());
	}
}
