﻿commonModule.directive('userBusinessUnitModal', ['$log',
    function ($log) {
        'use strict';
        $log.debug('userBusinessUnitModal.ctor()...');

        return {
            restrict: 'E',
            templateUrl: '/app/common/controls/user-business-unit-modal/user-business-unit-modal.html' + '?_=' + Math.random(),
            replace: true,
            controller: 'userBusinessUnitModalController',
            scope:
            {
                operateType: '=',
                isUpdate: '=?',
                dimensionId: '=?',
                dimensionValueId: '=?',
                dimensionValueName: '=?'
            },
            link: function (scope, element) {
                $(".assign-user-box").draggable({ containment: "parent", cursor: "cursor" });


                $(".assign-user-box").on("click", function (e) {
                    e.stopPropagation();
                });


            }
        };
    }
]);