﻿commonModule.directive('userOrganizationAccessModal', ['$log',
    function ($log) {
        'use strict';
        $log.debug('addExistUserModal.ctor()...');

        return {
            restrict: 'E',
            templateUrl: '/app/common/controls/user-organization-access-modal/user-organization-access-modal.html' + '?_=' + Math.random(),
            replace: true,
            controller: 'userOrganizationAccessModalController',
            scope:
            {
                operateType: '=',
                isUpdate: '=?',
                userId: '=?',
                organizationId:'=?'

            },
            link: function (scope, element) {

                var rolecardSelector = '.assign-role-box';
                $(rolecardSelector).draggable({ containment: "parent", cursor: "cursor" });
                $(rolecardSelector).on("click", function (e) {
                    e.stopPropagation();
                });


                //element.on('click', ':not(.text-align-left-padding)', function () {
                //    $(rolecardSelector).css('display', 'none');
                //    //stopPropagation();
                //});
            }
        };
    }
]);