﻿// configuration web service proxy
webservices.factory('configurationService', ['$http', 'apiConfig', function ($http, apiConfig) {
    'use strict';
    return {
        
        getProfiles: function () {
            return $http.get('/configuration/profiles', apiConfig.create());
        },

        getModalityTypes: function () {
            return $http.get('/configuration/modalitytypes', apiConfig.create());
        },

        getModalities: function () {
            return $http.get('/configuration/modalities' , apiConfig.create());
        },
        
        getDictionaries: function () {
            return $http.get('/configuration/dictionaries' , apiConfig.create());
        },
        
        getApplyDepts: function () {
            return $http.get('/configuration/applydepts' , apiConfig.create());
        },

        getApplyDoctors: function () {
            return $http.get('/configuration/applydoctors' , apiConfig.create());
        },

        getUserName: function () {
            return $http.get('/configuration/getusername' , apiConfig.create());

    },
    };
}]);