﻿// web service proxy for role
webservices.factory('organizationStructureService', ['$http', 'apiConfig', function ($http, apiConfig) {
    'use strict';
    return {
        getOrganizationStructureList: function () {
            return $http.get('/organizationstructure/getlist', apiConfig.create());
        },
        updateOrganizationStructure: function (organizationStructure) {
            return $http.put('/organizationstructure', organizationStructure, apiConfig.create());
        },
        addOrganizationStructure: function (organizationStructure) {
            return $http.post('/organizationstructure/add', organizationStructure, apiConfig.create());
        },
        deleteOrganizationStructure: function (id) { 
            return $http.post('/organizationstructure/delete', { id: id }, apiConfig.create());
        }
    };
}]);