﻿// web service proxy for org
webservices.factory('regionService', ['$http', 'apiConfig', 'httpCacheService',
function ($http, apiConfig, httpCacheService) {
    'use strict';

    return {
        //tree: function (type) {
        //    return $http.get('/region/tree?isactive=' + type, apiConfig.create());
        //},
        //add: function (model) {
        //    return $http.post('/region/add', model, apiConfig.create());
        //},
        //update: function (model) {
        //    return $http.post('/region/update', model, apiConfig.create());
        //},
        //isactive: function (model) {
        //    return $http.post('/region/isactive', model, apiConfig.create());
        //},
        //getRegionList: function (type) {
        //    return $http.get('/region/getRegionList?isactive=' + type, apiConfig.create());
        //},
        //getRegionTreeByID: function (id) {
        //    return $http.get('/region/getRegionTreeByID?id=' + id, apiConfig.create());
        //}, 
        //getProvinceAndCityList: function () {
        //    //return $http.get('/region/getProvinceAndCityList', apiConfig.create());
        //    return httpCacheService.get('/region/getProvinceAndCityList');
        //},
        //getProvinceAndCityListForIvhTree: function () {
        //    //return $http.get('/region/getProvinceAndCityList', apiConfig.create());
        //    return httpCacheService.get('/region/getProvinceAndCityListForIvhTree');
        //},
        getSettingRegionTree: function () {
            return $http.get('/region/getSettingRegionTree', apiConfig.create());
            //return httpCacheService.get('/region/getSettingRegionTree');
        },
        getAreRegionTreeByNodeID: function (areaID) {
            return $http.get('/region/getAreRegionTreeByNodeID?areaID=' + areaID, apiConfig.create());
        },
        getProvinceAndCityTreeList: function () {
            //return $http.get('/region/getProvinceAndCityList', apiConfig.create());
            return httpCacheService.get('/region/getProvinceAndCityTreeList');
        }
    };
}]);