﻿vatModule.directive('vatImportIncomeInvoice', ['$log', '$translate',
    function ($log, $translate) {
        'use strict';
        $log.debug('vatImportIncomeInvoice.ctor()...');

        return {
            restrict: 'E',
            templateUrl: '/app/vat/import/vat-import-income-invoice/vat-import-income-invoice.html' + '?_=' + Math.random(),
            scope: {},
            controller: 'VatImportIncomeInvoiceController',
            link: function (scope, element) {
                //切换发票信息汇总和明细清单
                scope.switchTab = function (event) {
                    scope.getGridTotalHeight();
                    scope.getGridItemHeight();
                    
                    $('.nav-tab span').each(function () {
                        $(this).removeClass('active');
                    });

                    $(event.target).addClass('active');

                    if (event.target.innerText == $translate.instant('InvoiceInfoTotalTab')) {
                        $('#tab_total').css('display', 'block');
                        $('#tab_detail').css('display', 'none');
                        //scope.loadIncomeInvoiceDataFromDB();
                    }
                    else {
                        $('#tab_total').css('display', 'none');
                        $('#tab_detail').css('display', 'block');
                    }

                    
                };
            }
        };
    }
]);