package pwc.taxtech.atms.common;

public enum ModelTypeEnum {
	
	SystemCommon(1,"SystemCommon","系统公共模型"),
	OrganizationCommon(2,"OrganizationCommon","机构公共模型"),
	OrganizationCustomize(3,"OrganizationCustomize","机构自定义模型");
	
    private Integer code; 
    private String name; 
    private String displayName;
    
    ModelTypeEnum(Integer code,String name,String displayName){ 
        this.code= code; 
        this.name= name; 
        this.displayName = displayName;
   } 
    
    public String toName() { 
        return this.name == null ? this.name() : this.name; 
    } 
    public Integer toCode() { 
        return this.code == null ? this.ordinal() : this.code; 
    }
    
    public String toDisplayName() {
        return this.displayName == null ? this.name() : this.displayName; 
    }
}
