package pwc.taxtech.atms.common;

/**
 * @see PwC.Tax.Tech.CIT.Globals\Utils\Enums.cs
 */
public enum VatTaxPayerTypeEnum {
    General(0), SmallScale(1),;
    private Integer value;

    VatTaxPayerTypeEnum(Integer value) {
        this.value = value;
    }

    public Integer value() {
        return value;
    }

    public static VatTaxPayerTypeEnum valueOf(Integer value) {
        for (VatTaxPayerTypeEnum item : VatTaxPayerTypeEnum.values()) {
            if (item.value.equals(value)) {
                return item;
            }
        }
        return null;
    }
}
