package pwc.taxtech.atms.common.datasource;

public class ShardingContextHolder {
    private static final ThreadLocal<String> contextHolder = new ThreadLocal<>();

    /**
     * 设置数据库名
     *
     * @param key key
     */
    public static void setDataSourceKey(String key) {
        contextHolder.set(key);
    }

    /**
     * 获取数据库名
     *
     * @return key
     */
    public static String getDataSourceKey() {
        return contextHolder.get();
    }
}
