package pwc.taxtech.atms.common.util;

import pwc.taxtech.atms.exception.ApiException;
import pwc.taxtech.atms.exception.FormulaException;

import java.util.Collection;

public class MyAsserts {
    public static void assertNotNull(Object obj, FormulaException exception) {
        if (obj == null) throw exception;
    }

    public static void assertNotNull(Object obj, ApiException exception) {
        if (obj == null) throw exception;
    }

    public static void assertTrue(boolean obj, ApiException exception) {
        if (!obj) throw exception;
    }

    public static void assertFalse(boolean obj, ApiException exception) {
        if (obj) throw exception;
    }

    public static void assertNotEmpty(String obj, ApiException exception) {
        if (obj == null || obj.isEmpty()) throw exception;
    }

    public static void assertNotEmpty(Collection obj, ApiException exception) {
        if (obj == null || obj.isEmpty()) throw exception;
    }
}
