package pwc.taxtech.atms.constant;

public class AccountMappingConstant {
    public enum Status {
        UNMAPPED(1, "未对应"),
        MAPPED(2, "已对应"),
        DIRECTION_DIFFERENT(3, "借贷方向不一致"),
        ACCOUNT_TYPE_DIFFERENT(4, "科目类型不一致");

        private Integer code;
        private String name;

        Status(Integer code, String name) {
            this.code = code;
            this.name = name;
        }

        public Integer getCode() {
            return code;
        }

        public String getName() {
            return name;
        }
    }
}
