package pwc.taxtech.atms.constant.enums;

public enum CellDataSourceType {
    /// <summary>
    /// 公式（包含KeyValue）
    /// </summary>
    Formula (1),

    /// <summary>
    /// 凭证
    /// </summary>
    Voucher (2),

    /// <summary>
    /// 销项发票
    /// </summary>
    OutputInvoice (3),

    /// <summary>
    /// 进项发票
    /// </summary>
    InputInvoice (4),

    /// <summary>
    /// 海关发票
    /// </summary>
    CustomInvoice (5),

    /// <summary>
    /// 手工录入
    /// </summary>
    KeyIn (6),

    /// <summary>
    /// 关联模型
    /// </summary>
    RelatedModel (7),

    /// <summary>
    /// SAP日报
    /// </summary>
    SapDaily (8),

    /// <summary>
    /// 校验
    /// </summary>
    Validation (9);

    private Integer code;

    CellDataSourceType(Integer code) {
        this.code = code;
    }

    public Integer getCode() {
        return code;
    }
}
