package pwc.taxtech.atms.constant.enums;

public enum EnumOutputInvoiceType {
    Normal(0, "普通发票"),
    Special(1, "专用发票"),
    MotorVehicle(2, "机动车销售发票");

    private int code;
    private String name;

    EnumOutputInvoiceType(int code, String name) {
        this.code = code;
        this.name = name;
    }

    public int getCode() {
        return code;
    }

    public String getName() {
        return name;
    }
}
