package pwc.taxtech.atms.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.MediaType;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;
import pwc.taxtech.atms.vat.service.impl.VoucherInvoiceMappingServiceImpl;

@RequestMapping(value = "api/v1/vimapping")
@RestController
public class VoucherInvoiceMappingController {
    @Autowired
    private VoucherInvoiceMappingServiceImpl voucherInvoiceMappingService;

    @RequestMapping(value = "getvmappings/{period}", method = RequestMethod.GET, produces = MediaType.APPLICATION_JSON_UTF8_VALUE)
    public ResponseEntity GetInvoiceMappings(@PathVariable Integer period) {
        return ResponseEntity.ok().body(voucherInvoiceMappingService.getVourcherMappings(period));
    }

    @RequestMapping(value = "getimappings/{period}", method = RequestMethod.GET, produces = MediaType.APPLICATION_JSON_UTF8_VALUE)
    public ResponseEntity ValidDBVoucherMapping(@PathVariable Integer period) {
        return ResponseEntity.ok().body(voucherInvoiceMappingService.getInvoiceMappings(period));
    }
}
