package pwc.taxtech.atms.dao;

import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import pwc.taxtech.atms.MyMapper;
import pwc.taxtech.atms.constant.VatErpImportValidation;

@Mapper
public interface CitTBDataImportMapper extends MyMapper {
    @Delete("<script>" +
            "<if test=\"tbName =='"+VatErpImportValidation.CompanyBalanceTbName+"' \">" +
            " DELETE FROM #{tbName} WHERE PeriodId = #{period}" +
            "</if>" +
            "<if test=\"tbName =='"+VatErpImportValidation.CustBalanceTb+"' \">" +
            " DELETE FROM #{tbName} WHERE PeriodId >= #{period}" +
            "</if>" +
            "</script>")
    Integer deleteByPeriod(@Param("period") Integer period, @Param("tbName") String tbName);

    @Delete("<script>DELETE FROM #{tbName} <if test=\"period != null\"> WHERE CurrentPeriodBo =#{period} </if></script>")
    Integer deleteByNameAndPeriod(@Param("tbName") String tbName,@Param("period") Integer period);
}
