package pwc.taxtech.atms.dao;


import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;
import pwc.taxtech.atms.MyMapper;

@Mapper
public interface DataImportMapper extends MyMapper {
    @Delete("DELETE FROM #{tbName} WHERE CurrentPeriodBo =#{period}")
    Integer deleteByNameAndPeriod(@Param("tbName") String tbName, @Param("period") Integer period);


    @Update("TRUNCATE TABLE #{tbName}")
    Integer truncateByName(@Param("tbName") String tbName);

    @Delete("DELETE FROM ValidationInfo WHERE PeriodId = #{period}and ImportTypeId=#{typeId} ")
    void deleteTbValidation(@Param("period") int period, @Param("typeId") Integer typeId);
}
