package pwc.taxtech.atms.dto;

import com.alibaba.fastjson.annotation.JSONType;

@JSONType(orders = { "mergerName", "areaID", "levelType", "isArea", "isActive"})
public class VMRegionDevTreeData {

	/**
	 * VMRegionDevTreeData
	 * 
	 * @author Rita Zhou
	 *
	 */
	private String mergerName;

	private String areaID;

	private int levelType;

	private Boolean isArea;

	private Boolean isActive;

	/**
	 * 
	 */
	public VMRegionDevTreeData() {
		super();
	}

	/**
	 * @param mergerName
	 * @param areaID
	 * @param levelType
	 * @param isArea
	 * @param isActive
	 */
	public VMRegionDevTreeData(String mergerName, String areaID, int levelType, Boolean isArea, Boolean isActive) {
		super();
		this.mergerName = mergerName;
		this.areaID = areaID;
		this.levelType = levelType;
		this.isArea = isArea;
		this.isActive = isActive;
	}

	public String getMergerName() {
		return mergerName;
	}

	public void setMergerName(String mergerName) {
		this.mergerName = mergerName;
	}

	public String getAreaID() {
		return areaID;
	}

	public void setAreaID(String areaID) {
		this.areaID = areaID;
	}

	public int getLevelType() {
		return levelType;
	}

	public void setLevelType(int levelType) {
		this.levelType = levelType;
	}

	public Boolean getIsArea() {
		return isArea;
	}

	public void setIsArea(Boolean isArea) {
		this.isArea = isArea;
	}

	public Boolean getIsActive() {
		return isActive;
	}

	public void setIsActive(Boolean isActive) {
		this.isActive = isActive;
	}

}
