package pwc.taxtech.atms.dto.epaccount;

import java.util.Date;
import java.util.List;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.annotation.JSONType;
import com.fasterxml.jackson.annotation.JsonProperty;

@JSONType(orders = 
	{ "id", "code", "name", "isActive", "creatorID", "createTime", "updateTime"
			, "enterpriseAccountSetOrgList", "orgNames", "repeatCodeList", "isImportAppend"})
public class EnterpriseAccountSetDto {

    @JSONField(name="id")
    @JsonProperty("id")
	private String ID;
	
	private String code;
	
	private String name;
	
	private Boolean isActive;
	
	private String creatorID;
	
	private Date createTime;
	
	private Date updateTime;
	
	private List<EnterpriseAccountSetOrgDto> enterpriseAccountSetOrgList;
	
	private String orgNames;
	
	private List<String> repeatCodeList;
	
	private Boolean isImportAppend;

	public String getID() {
		return ID;
	}

	public void setID(String ID) {
		this.ID = ID;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Boolean getIsActive() {
		return isActive;
	}

	public void setIsActive(Boolean isActive) {
		this.isActive = isActive;
	}

	public String getCreatorID() {
		return creatorID;
	}

	public void setCreatorID(String creatorID) {
		this.creatorID = creatorID;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public List<EnterpriseAccountSetOrgDto> getEnterpriseAccountSetOrgList() {
		return enterpriseAccountSetOrgList;
	}

	public void setEnterpriseAccountSetOrgList(List<EnterpriseAccountSetOrgDto> enterpriseAccountSetOrgList) {
		this.enterpriseAccountSetOrgList = enterpriseAccountSetOrgList;
	}

	public String getOrgNames() {
		return orgNames;
	}

	public void setOrgNames(String orgNames) {
		this.orgNames = orgNames;
	}

	public List<String> getRepeatCodeList() {
		return repeatCodeList;
	}

	public void setRepeatCodeList(List<String> repeatCodeList) {
		this.repeatCodeList = repeatCodeList;
	}

	public Boolean getIsImportAppend() {
		return isImportAppend;
	}

	public void setIsImportAppend(Boolean isImportAppend) {
		this.isImportAppend = isImportAppend;
	}
	
	
}
