package pwc.taxtech.atms.dto.navtree;

import java.util.List;

import com.alibaba.fastjson.annotation.JSONType;

@JSONType(orders = { "id", "label", "value", "children" })
public class IvhTreeDto<T> {

    private String id;

    private String label;

    private T value;

    private List<IvhTreeDto<T>> children;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    public T getValue() {
        return value;
    }

    public void setValue(T value) {
        this.value = value;
    }

    public List<IvhTreeDto<T>> getChildren() {
        return children;
    }

    public void setChildren(List<IvhTreeDto<T>> children) {
        this.children = children;
    }

}
