package pwc.taxtech.atms.dto.permission;

import java.util.List;

import com.fasterxml.jackson.annotation.JsonProperty;

public class RolePermissionDto {

    private String ID;
    private String roleID;
    private String code;
    private String permissionID;
    private String roleName;
    private String permissionName;
    private String parentID;
    private Short PLevel;
    private String serviceType;
    private String relyOnCodes;
    private List<RolePermissionDto> children;
    private Boolean expanded;
    /**
     * @return the ID
     */
    public String getID() {
        return ID;
    }
    /**
     * @param iD the iD to set
     */
    public void setID(String ID) {
        this.ID = ID;
    }
    /**
     * @return the roleID
     */
    public String getRoleID() {
        return roleID;
    }
    /**
     * @param roleID the roleID to set
     */
    public void setRoleID(String roleID) {
        this.roleID = roleID;
    }
    /**
     * @return the code
     */
    public String getCode() {
        return code;
    }
    /**
     * @param code the code to set
     */
    public void setCode(String code) {
        this.code = code;
    }
    /**
     * @return the permissionID
     */
    public String getPermissionID() {
        return permissionID;
    }
    /**
     * @param permissionID the permissionID to set
     */
    public void setPermissionID(String permissionID) {
        this.permissionID = permissionID;
    }
    /**
     * @return the roleName
     */
    public String getRoleName() {
        return roleName;
    }
    /**
     * @param roleName the roleName to set
     */
    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }
    /**
     * @return the permissionName
     */
    public String getPermissionName() {
        return permissionName;
    }
    /**
     * @param permissionName the permissionName to set
     */
    public void setPermissionName(String permissionName) {
        this.permissionName = permissionName;
    }
    /**
     * @return the parentID
     */
    public String getParentID() {
        return parentID;
    }
    /**
     * @param parentID the parentID to set
     */
    public void setParentID(String parentID) {
        this.parentID = parentID;
    }
    /**
     * @return the pLevel
     */
    @JsonProperty("pLevel")
    public Short getPLevel() {
        return PLevel;
    }
    /**
     * @param pLevel the pLevel to set
     */
    public void setPLevel(Short pLevel) {
        PLevel = pLevel;
    }
    /**
     * @return the serviceType
     */
    public String getServiceType() {
        return serviceType;
    }
    /**
     * @param serviceType the serviceType to set
     */
    public void setServiceType(String serviceType) {
        this.serviceType = serviceType;
    }
    /**
     * @return the relyOnCodes
     */
    public String getRelyOnCodes() {
        return relyOnCodes;
    }
    /**
     * @param relyOnCodes the relyOnCodes to set
     */
    public void setRelyOnCodes(String relyOnCodes) {
        this.relyOnCodes = relyOnCodes;
    }
    /**
     * @return the children
     */
    public List<RolePermissionDto> getChildren() {
        return children;
    }
    /**
     * @param children the children to set
     */
    public void setChildren(List<RolePermissionDto> children) {
        this.children = children;
    }
    /**
     * @return the expanded
     */
    public Boolean getExpanded() {
        return expanded;
    }
    /**
     * @param expanded the expanded to set
     */
    public void setExpanded(Boolean expanded) {
        this.expanded = expanded;
    }
    
    /* (non-Javadoc)
     * @see java.lang.Object#hashCode()
     */
    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((ID == null) ? 0 : ID.hashCode());
        result = prime * result + ((PLevel == null) ? 0 : PLevel.hashCode());
        result = prime * result + ((children == null) ? 0 : children.hashCode());
        result = prime * result + ((code == null) ? 0 : code.hashCode());
        result = prime * result + ((expanded == null) ? 0 : expanded.hashCode());
        result = prime * result + ((parentID == null) ? 0 : parentID.hashCode());
        result = prime * result + ((permissionID == null) ? 0 : permissionID.hashCode());
        result = prime * result + ((permissionName == null) ? 0 : permissionName.hashCode());
        result = prime * result + ((relyOnCodes == null) ? 0 : relyOnCodes.hashCode());
        result = prime * result + ((roleID == null) ? 0 : roleID.hashCode());
        result = prime * result + ((roleName == null) ? 0 : roleName.hashCode());
        result = prime * result + ((serviceType == null) ? 0 : serviceType.hashCode());
        return result;
    }
    
    /* (non-Javadoc)
     * @see java.lang.Object#equals(java.lang.Object)
     */
    @Override
    public boolean equals(Object obj) {
        if (this == obj)
            return true;
        if (obj == null)
            return false;
        if (getClass() != obj.getClass())
            return false;
        RolePermissionDto other = (RolePermissionDto) obj;
        if (ID == null) {
            if (other.ID != null)
                return false;
        } else if (!ID.equals(other.ID))
            return false;
        if (PLevel == null) {
            if (other.PLevel != null)
                return false;
        } else if (!PLevel.equals(other.PLevel))
            return false;
        if (children == null) {
            if (other.children != null)
                return false;
        } else if (!children.equals(other.children))
            return false;
        if (code == null) {
            if (other.code != null)
                return false;
        } else if (!code.equals(other.code))
            return false;
        if (expanded == null) {
            if (other.expanded != null)
                return false;
        } else if (!expanded.equals(other.expanded))
            return false;
        if (parentID == null) {
            if (other.parentID != null)
                return false;
        } else if (!parentID.equals(other.parentID))
            return false;
        if (permissionID == null) {
            if (other.permissionID != null)
                return false;
        } else if (!permissionID.equals(other.permissionID))
            return false;
        if (permissionName == null) {
            if (other.permissionName != null)
                return false;
        } else if (!permissionName.equals(other.permissionName))
            return false;
        if (relyOnCodes == null) {
            if (other.relyOnCodes != null)
                return false;
        } else if (!relyOnCodes.equals(other.relyOnCodes))
            return false;
        if (roleID == null) {
            if (other.roleID != null)
                return false;
        } else if (!roleID.equals(other.roleID))
            return false;
        if (roleName == null) {
            if (other.roleName != null)
                return false;
        } else if (!roleName.equals(other.roleName))
            return false;
        if (serviceType == null) {
            if (other.serviceType != null)
                return false;
        } else if (!serviceType.equals(other.serviceType))
            return false;
        return true;
    }
    
    
    
}
