package pwc.taxtech.atms.dto.vatdto;

import lombok.Getter;
import lombok.Setter;
import pwc.taxtech.atms.dto.CellTemplateConfigDto;
import pwc.taxtech.atms.vat.entity.ModifiedReportCell;
import pwc.taxtech.atms.vat.entity.PeriodCellTemplateConfig;

import java.util.List;

@Setter
@Getter
public class CellCalcInfoDto {
    private Long cellID;

    private Long reportID;

    private Integer columnIndex;

    private String columnName;

    private Integer rowIndex;

    private String rowName;

    private String formula;

    private String parsedFormula;

    private Boolean isCalculated;

    private String cellValue;

    private Long cellTemplateID;

    private Long reportTemplateID;

    private Integer dataType;

    private Boolean isReadOnly;

    private String dataSourceExp;
    private String formulaExp;

    private String description;

    private Boolean dataSourceAvailable;

    private CellTemplateConfigDto cellTemplateConfig;

    private List<DataSourceDto> dataSourceList;

    private InvoiceListDto dataInvoiceList;

    //是否是用户手工调整过得值
    private Boolean isModified;

    //用户直接修改单元格的信息
    private ModifiedReportCell modifiedReportCell;

    private List<CellVoucherDatasourceDto> dataVoucherList;

    private Boolean isConfigured;

    private Boolean hasModelError;

    //private List<ErrorInfoDto> ErrorInfoList;


    //private List<ModelBackFillAmountDesc> entriesCheckResultList;

    //private List<FormulaValidationError> ValidationErrorList ;

    private String comment;

    private List<PeriodCellTemplateConfig> configList;
}
