package pwc.taxtech.atms.dto.vatdto;

import pwc.taxtech.atms.vat.service.impl.FormulaAgent;

import java.util.ArrayList;
import java.util.List;

public class CloseableFormulaDataSource implements AutoCloseable{
  private   List<ReportCellDataSourceDto> dataSourceList = new ArrayList<>();
  private FormulaAgent agent;

    public CloseableFormulaDataSource(FormulaAgent agent) {
        this.agent = agent;
    }

    public void addDS(ReportCellDataSourceDto ds){
        dataSourceList.add(ds);
    }

    public void addDS(List<ReportCellDataSourceDto> dss){
        dataSourceList.addAll(dss);
    }

    public void clean(){
        dataSourceList.clear();
    }

    @Override
    public void close() throws Exception {
        if(!dataSourceList.isEmpty()){
            agent.save(dataSourceList);//TODO: save datasources;
        }
    }
}
