package pwc.taxtech.atms.dto.vatdto;

import lombok.Getter;
import lombok.Setter;
import pwc.taxtech.atms.common.CommonUtils;
import pwc.taxtech.atms.vat.entity.PeriodCellTemplateConfig;

@Setter
@Getter
public class PeriodCellTemplateConfigExtendDto extends PeriodCellTemplateConfig {
    Integer columnIndex;
    Integer rowIndex;
    String columnName;
    String rowName;
    Integer dataType;
    Boolean isReadOnly;
    Long cellTemplateID;
    Long reportTemplateID;
    String comment;
    PeriodCellTemplateConfig periodCellTemplateConfig;

    public PeriodCellTemplateConfig getPeriodCellTemplateConfig() {
        periodCellTemplateConfig = new PeriodCellTemplateConfig();
        CommonUtils.copyProperties(this, periodCellTemplateConfig);
        return periodCellTemplateConfig;
    }
}
