package pwc.taxtech.atms.exception;

/**
 * 仅用于公式计算过程中抛出的异常
 */
public class FormulaException extends RuntimeException {
    private static final long serialVersionUID = 1L;

    public FormulaException() {
        super();
    }

    public FormulaException(String message) {
        super(message);
    }

    public FormulaException(String message, Throwable cause) {
        super(message, cause);
    }

    public FormulaException(Throwable cause) {
        super(cause);
    }
}
