package pwc.taxtech.atms.service;

import java.io.InputStream;
import java.util.List;

import pwc.taxtech.atms.dto.OperationResultDto;
import pwc.taxtech.atms.dto.customer.CustomerDto;
import pwc.taxtech.atms.dto.customer.CustomerValidateInfoDto;

public interface CustomerService {

    List<OperationResultDto<CustomerDto>> addRange(List<CustomerDto> customerDtoList);

    CustomerValidateInfoDto getByEnterpriseAccountSetID(String setId);
    
    List<CustomerDto> getCustomer();
    
    OperationResultDto<String> deleteRange(List<CustomerDto> customerDtoList);
    
    List<OperationResultDto<CustomerDto>> updateRange(List<CustomerDto> customerDtoList);
    
    Object upload(InputStream inputStream, String fileName, String action, String enterpriseAccountID);
}
