package pwc.taxtech.atms.service;

import java.io.InputStream;

public interface FileSystemService {
    /**
     * 上传用户报表模板
     *
     * @param fileName    文件名
     * @param inputStream InputStream
     * @return 文件路径
     * @throws Exception ex
     */
    String uploadUserTemplate(String fileName, InputStream inputStream) throws Exception;

    /**
     * 下载用户报表模板
     *
     * @param filePath 文件路径
     * @return InputStream
     * @throws Exception ex
     */
    InputStream downloadUserTemplate(String filePath) throws Exception;

}
