package pwc.taxtech.atms.service;

import java.util.List;

import pwc.taxtech.atms.dto.MenuDisplayDto;
import pwc.taxtech.atms.dto.MenuDto;
import pwc.taxtech.atms.entitiy.Menu;

public interface MenuService {

    List<MenuDisplayDto> getMenusForDisplay(Integer moduleId);

    List<MenuDto> getMenus(Integer moduleId);
    
    List<Menu> findByIsActive(Boolean isActive);

    void update(Menu menu);

}
