package pwc.taxtech.atms.service;

import java.util.List;

import pwc.taxtech.atms.dto.IdModel;
import pwc.taxtech.atms.dto.OrganizationStructureDto;
import pwc.taxtech.atms.dto.OrganizationStructureInputDto;

public interface OrganizationStructureService {

    List<OrganizationStructureDto> getOrganizationStructures();

    void addOrganizationStructures(List<OrganizationStructureInputDto> organizationStructureList);

    Integer deleteOrganizationStructure(IdModel idModel);

    Boolean updateOrganizationStructures(List<OrganizationStructureInputDto> organizationStructureDtoList);
}
