package pwc.taxtech.atms.service;

import java.util.List;

import pwc.taxtech.atms.dto.navtree.DevTreeDto;
import pwc.taxtech.atms.dto.navtree.RolePermissionDisplayDto;

public interface PermissionService {

    RolePermissionDisplayDto getIvhTreePermissionsByRoleID(String roleID, String serviceType);
    
    @SuppressWarnings("rawtypes")
    List<DevTreeDto> getIvhTreePermissionsByRoleIDList(List<String> roleIDList, String serviceType);
    
    @SuppressWarnings("rawtypes")
    List<DevTreeDto> getAllPermissions(String serviceType);
}
