package pwc.taxtech.atms.service;

import pwc.taxtech.atms.dto.OperationResultDto;
import org.springframework.web.multipart.MultipartFile;
import pwc.taxtech.atms.exception.ServiceException;
import pwc.taxtech.atms.dto.TemplateGroupDto;

import java.util.List;

public interface TemplateGroupService {
	List<TemplateGroupDto> get();

	List<TemplateGroupDto> get(int serviceTypeID, Integer taxPayType, String industryID);

	OperationResultDto<Object> updateTemplateGroupName(TemplateGroupDto templateGroupDto);

	OperationResultDto<Object> deleteTemplateGroup(TemplateGroupDto templateGroupDto);

    List<String> getSheetNameList(MultipartFile file);

    void importTemplateGroupExcelFile(MultipartFile file, TemplateGroupDto templateGroupDto) throws ServiceException;

    void importTemplateExcelFile(MultipartFile file, Long templateGroupID,
                                 String reportType, String sheetList) throws ServiceException;

    void addTemplateGroup(TemplateGroupDto templateGroupDto) throws ServiceException;
}
