package pwc.taxtech.atms.vat.dao.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import pwc.taxtech.atms.vat.dao.VatEnterpriseAccountMapper;
import pwc.taxtech.atms.vat.entity.VatEnterpriseAccount;
import pwc.taxtech.atms.vat.entity.VatEnterpriseAccountExample;

import java.util.List;

@Service
public class VatEnterpriseAccountDao {
    @Autowired
    VatEnterpriseAccountMapper vatEnterpriseAccountMapper;

    public List<VatEnterpriseAccount> getListByAccountCode(String accountCode) {
        VatEnterpriseAccountExample example = new VatEnterpriseAccountExample();
        example.createCriteria().andAcctCodeEqualTo(accountCode);
        return vatEnterpriseAccountMapper.selectByExample(example);
    }
}
