package pwc.taxtech.atms.vat.service.impl;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import pwc.taxtech.atms.dao.*;
import pwc.taxtech.atms.dao.dao.ProjectDao;
import pwc.taxtech.atms.service.impl.DistributedIDService;
import pwc.taxtech.atms.vat.dao.*;
import pwc.taxtech.atms.vat.dao.dao.VatEnterpriseAccountDao;
import pwc.taxtech.atms.vat.entity.PeriodFormulaBlock;
import pwc.taxtech.atms.vat.service.ReportGenerator;

public class VatAbstractService {
    protected final Logger logger = LoggerFactory.getLogger(this.getClass());

    @Autowired
    public CompanyBalanceMapper companyBalanceMapper;
    @Autowired
    public VatEnterpriseAccountMapper vatEnterpriseAccountMapper;
    @Autowired
    public VatStandardAccountMapper vatStandardAccountMapper;
    @Autowired
    public InputVATInvoiceMapper inputVATInvoiceMapper;
    @Autowired
    public OutputVATInvoiceMapper outputVATInvoiceMapper;
    @Autowired
    public CustomsInvoiceMapper customsInvoiceMapper;
    @Autowired
    public OutputVATInvoiceItemMapper outputVATInvoiceItemMapper;
    @Autowired
    public InputVATInvoiceItemMapper inputVATInvoiceItemMapper;
    @Autowired
    public ProjectMapper projectMapper;
    @Autowired
    public TaxPayerReportRuleMapper taxPayerReportRuleMapper;
    @Autowired
    public ProjectServiceTypeMapper projectServiceTypeMapper;
    @Autowired
    public TemplateMapper templateMapper;
    @Autowired
    public PeriodTemplateMapper periodTemplateMapper;
    @Autowired
    public PeriodCellTemplateMapper periodCellTemplateMapper;
    @Autowired
    public PeriodCellTemplateConfigMapper periodCellTemplateConfigMapper;
    @Autowired
    public DataSourceMapper dataSourceMapper;
    @Autowired
    public DataSourceDetailMapper dataSourceDetailMapper;
    @Autowired
    public TemplateGroupMapper templateGroupMapper;
    @Autowired
    public DistributedIDService distributedIDService;
    @Autowired
    public CellTemplateMapper cellTemplateMapper;
    @Autowired
    public CellTemplateConfigMapper cellTemplateConfigMapper;
    @Autowired
    public EnterpriseAccountMapper enterpriseAccountMapper;
    @Autowired
    public ReportGenerator reportGenerator;
    @Autowired
    public BalanceStdManualMapper balanceStdManualMapper;
    @Autowired
    public BalanceMapper balanceMapper;
    @Autowired
    public VatEnterpriseAccountDao vatEnterpriseAccountDao;
    @Autowired
    public ProjectDao projectDao;
    @Autowired
    public PeriodFormulaBlockMapper periodFormulaBlockMapper;
    @Autowired
    public ReportMapper reportMapper;
    @Autowired
    public CellDataMapper cellDataMapper;
    @Autowired
    public ModifiedReportCellMapper modifiedReportCellMapper;
    @Autowired
    public FormulaAgent formulaAgent;
    @Autowired
    public CellCommentMapper cellCommentMapper;

}
