package pwc.taxtech.atms.common;

import static org.mockito.Mockito.when;

import javax.servlet.ServletContext;
import javax.servlet.ServletContextEvent;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.mockito.InjectMocks;
import org.mockito.Mock;
import org.mockito.junit.MockitoJUnitRunner;

@RunWith(MockitoJUnitRunner.class)
public class MyServletContextListenerTest {
    @InjectMocks
    private MyServletContextListener myServletContextListener;
    @Mock
    private ServletContextEvent servletContextEvent;
    @Mock
    private ServletContext servletContext;

    @Test
    public void contextInitialized() {
        when(servletContextEvent.getServletContext()).thenReturn(servletContext);
        when(servletContext.getMajorVersion()).thenReturn(2);
        when(servletContext.getMinorVersion()).thenReturn(5);
        myServletContextListener.contextInitialized(servletContextEvent);
    }

    @Test
    public void contextDestroyed() {
        myServletContextListener.contextDestroyed(servletContextEvent);
    }
}
