package pwc.taxtech.atms.common;

import org.apache.tika.metadata.Metadata;
import org.apache.tika.parser.ParseContext;
import org.apache.tika.parser.pdf.PDFParser;
import org.apache.tika.parser.pdf.PDFParserConfig;
import org.apache.tika.sax.BodyContentHandler;

import java.io.File;
import java.io.FileInputStream;

public class PDFTest {
    public static void main(String[] args) {
        try {
            BodyContentHandler handler = new BodyContentHandler();

            Metadata metadata = new Metadata();
            FileInputStream inputstream = new FileInputStream(new File("C:\\woo\\test.pdf"));
            ParseContext pcontext = new ParseContext();

            PDFParser pdfparser = new PDFParser();
            pdfparser.getPDFParserConfig().setSortByPosition(true);//参见底层实现
//            pdfparser.getPDFParserConfig().setEnableAutoSpace(false);
//            pdfparser.getPDFParserConfig().setAverageCharTolerance(1f);
//            pdfparser.getPDFParserConfig().setSpacingTolerance(20f);
            pdfparser.parse(inputstream, handler, metadata, pcontext);

            System.out.println(handler.toString());

        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
