package pwc.taxtech.atms.controller;

import static org.assertj.core.api.Assertions.assertThat;
import static org.mockito.Mockito.when;


import org.junit.Test;
import org.junit.runner.RunWith;
import org.mockito.InjectMocks;
import org.mockito.Mock;
import org.mockito.junit.MockitoJUnitRunner;

import pwc.taxtech.atms.dto.OperationLogDto;
import pwc.taxtech.atms.dto.PagingResultDto;
import pwc.taxtech.atms.dto.QueryOperateParamDto;
import pwc.taxtech.atms.service.OperationLogService;

@RunWith(MockitoJUnitRunner.class)
public class OperationLogTest {
    @Mock
    private OperationLogService operationLogService;
    @InjectMocks
    private OperationLogController operationLogController = new OperationLogController();

    @Test
    public void getOperationLogListNotNullResult() {
        QueryOperateParamDto queryOperateParamDto = new QueryOperateParamDto();
        PagingResultDto<OperationLogDto> pagingResultDto = new PagingResultDto<>();
        when(operationLogService.getOperationLogList(queryOperateParamDto)).thenReturn(pagingResultDto);
        assertThat(operationLogController.getOperationLogList(queryOperateParamDto)).isNotNull();
    }
    
   
}
