package pwc.taxtech.atms.service.impl;

import org.junit.Assert;
import org.junit.Test;

public class UserAccountServiceImplTest {

    @Test
    public void testSubject() {
        UserAccountServiceImpl accountServiceImpl = new UserAccountServiceImpl();
        String sub = accountServiceImpl.readHtmlTitle("xxx <title>mysub1</title> yyy");
        Assert.assertEquals("mysub1", sub);
    }

    @Test
    public void testSubjectWithSpace() {
        UserAccountServiceImpl accountServiceImpl = new UserAccountServiceImpl();
        String sub = accountServiceImpl.readHtmlTitle("xxx\r\n <title>  mysub2 \r\n  </title>\r\n yyy");
        Assert.assertEquals("mysub2", sub);
    }

}
