﻿basicDataModule.directive('customerListManage', ['$log', 'SweetAlert', '$translate',
    function ($log, SweetAlert, $translate) {
        'use strict';
        $log.debug('customerListManageController.ctor()...');

        return {
            restrict: 'E',
            templateUrl: '/app/admin/basicData/financialData/customerListManage/customer-list-manage.html' + '?_=' + Math.random(),
            scope:
            {
                //addCustFn: '&addCustomer',
                //removeCustlFn: '&removeCustomer',
                //editCustFn: '&editCustomer',
                //deleteCustFn:'&removeCustomer',
                //attr: '@',
                //list:'=bind'
            },
            controller: 'customerListManageController'
            //link: function (scope, element, attrs, $element) {
                
        };
    }
]);
basicDataModule.directive('slideToggle', function () {
    return {
        restrict: 'A',      
        scope:{
            isOpen: "=slideToggle"
        },  
        link: function(scope, element, attr) {
            var slideDuration = parseInt(attr.slideToggleDuration, 10) || 200; 
            if (attr.startShown=="false") {
                element.hide();
            }
            scope.$watch('isOpen', function(newVal,oldVal){
                if(newVal !== oldVal){ 
                    element.stop().slideToggle(slideDuration);
                }
            });
        }
    }; 
});

