﻿commonModule.directive('refundReason', ['$log',
    function ($log) {
        'use strict';
        $log.debug('refundReason.ctor()...');
        return {
            restrict: 'E',
            templateUrl: '/app/common/controls/refund-reason/refund-reason.html' + '?_=' + Math.random(),
            replace: true,
            scope: {
                //display reason list
                reasons: '=',
                //which invoices need to refund
                invoiceIds: '=',
                isShow: '=',
                refreshTable: '&'
            },
            controller: 'refundReasonController',
            link: function ($scope, element) {
                $scope.$watch('isShow', function (newVal, oldValue) {
                    if (newVal !== oldValue && newVal) {
                        $scope.refundReasonModal.open();
                    }
                });
               
            }
        };
    }
]);