﻿webservices.factory('outputReconciliationConfiguration', ['$http', 'apiConfig', function ($http, apiConfig) {
    'use strict';
    return {
        load: function () {
            return $http.get('/outputReconciliationConfiguration/load', apiConfig.create());
        },
        add: function (dto) {
            return $http.post('/outputReconciliationConfiguration/add', dto, apiConfig.create());
        },
        update: function (dto) {
            return $http.put('/outputReconciliationConfiguration/update', dto, apiConfig.create());
        },
        deleteRule: function (id) {
            return $http.delete('/outputReconciliationConfiguration/delete?ID=' + id, apiConfig.create());
        },
        getNextRuleNo: function () {
            return $http.get('/outputReconciliationConfiguration/getNextRuleNo', apiConfig.create());
        },
        saveSort: function (dto) {
            return $http.post('/outputReconciliationConfiguration/saveSort', dto, apiConfig.create());
        }
    };
}]);