﻿// web service proxy for project
webservices.factory('ruleEngineService', ['$http', 'apiConfig', function ($http, apiConfig) {
    'use strict';
    return {
        getTaxPayerReportMapping: function () {
            return $http.get('/ruleEngineeConfig/taxPayerReportMapping', apiConfig.create());
        },
        getTaxRuleSetting: function (orgID, serviceID, projectYear) {
            return $http.get('/ruleEngineeConfig/taxRuleSetting', apiConfig.create());
        },
        saveTaxRuleSettings: function (taxRuleSettings) {
            return $http.post('/ruleEngineeConfig/taxRuleSetting/Save', taxRuleSettings, apiConfig.create());
        }
    };
}]);