﻿frameworkModule.controller("dashboardDeferredTaxAnalysisConfigController", ['$scope', '$uibModalInstance', '$log', 'widget',
    function ($scope, $uibModalInstance, $log, widget) {
        'use strict';

        $scope.widget = widget;
        $scope.configOptions = $.extend(true, {}, widget);
        $scope.title = "DeferredTaxAnalysisConfigOTTitle";
        $scope.display = 1;

        if (!_.isEmpty($scope.configOptions.dataModelOptions)
            && !_.isEmpty($scope.configOptions.dataModelOptions.chartConfig)) {
            $scope.display = $scope.configOptions.dataModelOptions.chartConfig.display;
        }

        $scope.confirm = function () {
            $scope.configOptions.dataModelOptions.chartConfig = {
                display: $scope.display
            };

            $scope.$close($scope.configOptions);
        };

        $scope.cancel = function () {
            $scope.$dismiss("canceled");
        };
    }]);