﻿invoiceModule.controller('invoiceManageMainUploadIndexController', ['$scope', '$log', '$document', '$uibModal', 'SweetAlert', '$translate', '$q', 'apiInterceptor', '$interval', 'region', '$timeout', '$location',
        function ($scope, $log, $document, $uibModal, SweetAlert, $translate, $q, apiInterceptor, $interval, region, $timeout, $location) {
            'use strict';

            var paperInvoiceUrl = "/invoiceManagement/main/uploadPaperInvoice";
            var elecInvoiceUrl = "/invoiceManagement/main/uploadElecInvoice";
            var scannerInvoiceUrl = "/invoiceManagement/main/uploadScanInvoice";
            //上传纸质发票
            $scope.uploadPaperInvoice = function () {
                $location.path(paperInvoiceUrl);
            };

            //上传电子发票
            $scope.uploadElecInvoice = function () {
                $location.path(elecInvoiceUrl);
            };

            //上传电子发票（扫描枪）
            $scope.uploadScannerInvoice = function () {
                $location.path(scannerInvoiceUrl);
            };
       

            (function initialize() {
                $log.debug('invoiceManageMainUploadIndexController.ctor()...');

            })();
        }
]);
