﻿vatModule.directive('vatReportLayout', ['$log', '$rootScope', '$timeout', 'enums',
    function ($log, $rootScope, $timeout, enums) {
        'use strict';

        $log.debug('vatReportLayout.ctor()...');

        return {
            restrict: 'E',
            templateUrl: '/app/vat/report/vat-report-layout/vat-report-layout.html' + '?_=' + Math.random(),
            replace: true,
            scope: {},
            controller: 'VatReportLayoutController',
            link: function ($scope, $element, $attr) {



                Split(['#vat-report-nav-menu', '#vat-report-content'], {
                    sizes: [17, 83],
                    minSize: [1, 1330],
                    onDragEnd: function () {
                        $timeout(function () {
                            $rootScope.$broadcast(enums.vatEvent.layoutChanged, {});
                        }, 700);
                    }
                })


                $scope.isCollapsed = false;
            }
        };
    }
]);